Author Topic: dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS  (Read 528 times)

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
temporarily out of service until  5th October 2018

linux-image-generic * Ubuntu 18.04.1

2.7 dev branch, use at your own risk

Qt 5 and CLI version Ubuntu 18.04.1 LTS 64-Bit only

Build on core i7 and uploaded to dropbox.com, downloads available for approx. 1 month
As the Git gets updated, I compile these and included in the upload are:

    avidemux3-core-2.7.1-YYMMDD-runtime.deb
    avidemux3-plugins-COMMON-2.7.1-YYMMDD-plugins.deb
    avidemux3-qt5-2.7.1-YYMMDD-runtime.deb
    avidemux3-plugins-QT5-2.7.1-YYMMDD-plugins.deb
    avidemux3-cli-2.7.0-YYMMDD-runtime.deb
    avidemux3-plugins-CLI-2.7.1-YYMMDD-plugins.deb
    avidemux3-settings-2.7.1-YYMMDD-settings.deb

64-bit Current 180922: latest download (+- 11.5 MB click here)

unpack above archive, change directory into that folder and install:
Code: [Select]
sudo dpkg -i *.deb
desktop QT5 shortcut download: avidemux desktop link
avidemux icon download: Icon for above desktoplink (properties)]

Nightly versions currently available at nightly: univeral app, osx qt5, snapshot, win64, win32]
« Last Edit: Today at 06:43:21 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #1 on: August 23, 2018, 06:35:05 AM »
347b7ea            Merge remote-tracking branch 'origin/mjpegenc'
5699ceb            Merge remote-tracking branch 'origin/ffvaenc'

ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180823-64bit 18.04.1 Bionic with x265 version 2.6

build against:
- linux 4.15.0-32-generic (linux-image-4.15.0-32-generic                4.15.0-32.35)
- NVIDIA VDPAU Driver Shared Library  396.51 (open source)
- libva info: VA-API version 1.1.0
- vainfo: VA-API version: 1.1 (libva 2.1.0)
_________ Driver version: Splitted-Desktop Systems VDPAU backend for VA-API - 0.7.4


- x264 0.152.2854 e9a5903
 (libswscale 4.8.100)
 (libavformat 57.83.100)
 (ffmpegsource 2.23.0.0)
 x264 configuration: --bit-depth=8 --chroma-format=all
 libx264 configuration: --bit-depth=8 --chroma-format=all

- x265 [info]: HEVC encoder version 2.6
- x265 [info]: build info [Linux][GCC 7.2.0][64 bit] 8bit+10bit+12bit
- x265 [info]: using cpu capabilities: MMX2 SSE2Fast SSSE3 SSE4.2 AVX
« Last Edit: August 28, 2018, 01:42:31 PM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #2 on: August 26, 2018, 06:25:58 AM »
825fa5f            Merge remote-tracking branch 'origin/session_restore'
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180826-64bit 18.04.1 Bionic with x265 version 2.6

build against:
- Linux 4.15.0-33-generic (linux-image-4.15.0-33-generic                4.15.0-33.36) <= CHANGED
- NVIDIA VDPAU Driver Shared Library  396.54 (open source) <= CHANGED
« Last Edit: August 28, 2018, 01:42:45 PM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #3 on: August 27, 2018, 05:08:19 AM »
d440d89            Merge remote-tracking branch 'origin/session_restore'
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180827-64bit 18.04.1 Bionic with x265 version 2.6
« Last Edit: August 28, 2018, 01:42:55 PM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #4 on: August 28, 2018, 10:07:18 AM »
326104a            [editor] Fix crash loading video with fps > 2000 as (mis)detected by demuxer
c6400a8            [audioFilter/normalize] Make max level in automatic gain mode customizable

ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180828-64bit 18.04.1 Bionic with x265 version 2.6
« Last Edit: August 28, 2018, 01:43:08 PM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #5 on: August 29, 2018, 03:50:43 AM »
43cc07d            [demuxers/MpegTS] Safeguard against crash in case we have no audio seek points
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180829-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #6 on: August 30, 2018, 09:58:46 AM »
188bf7d            Merge remote-tracking branch 'origin/afnorm_max'
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180830-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #7 on: August 31, 2018, 01:58:02 PM »
99e02bc            [i18n] Regenerate translation files, update German and Danish translations
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180831-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #8 on: September 04, 2018, 06:02:29 AM »
02f54d1            [videoEncoder] Add HW accelerated FFmpeg/VA-API based HEVC encoder
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180904-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #9 on: September 06, 2018, 01:27:33 PM »
06c0480            [appImage] Fix passing args to the executable
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180906-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #10 on: September 15, 2018, 08:13:21 AM »
ca066b9            [directVaEnc] Do not overwrite the driver provided VAConfigAttribEncPackedHeaders value with zero, this fixes the encoder with recent Intel i965 driver versions + deduplicate code a bit
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180915-64bit 18.04.1 Bionic with x265 version 2.6

build against:
- Linux 4.15.0-34-generic (linux-image-4.15.0-34-generic                4.15.0-34.37) <= CHANGED
« Last Edit: September 15, 2018, 08:15:07 AM by Jan Gruuthuse »

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #11 on: September 17, 2018, 05:45:19 AM »
08e092d            [appImage] Allow usage of system libfontconfig, freetype and fribidi
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180917-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #12 on: September 19, 2018, 06:09:12 AM »
455418a            [fontconfig/freetype] Also check fontconfing version
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180919-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
dev branch: avidemux Cli/Qt5 2.7.1 64-bit deb on Ubuntu 18.04.1 LTS
« Reply #13 on: September 22, 2018, 06:41:25 AM »
06b813b            [appImage] Skip probing fontconfig version if ADM_APPIMAGE_USE_SYSTEM_FONT_LIBS is set
ubuntu Bionic Beaver 18.04.1 LTS 64 bit x86 SMP, QT5, x265 version 2.6: avidemux 2.7.1 180922-64bit 18.04.1 Bionic with x265 version 2.6

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6051
service announcement: temporarily out of service
« Reply #14 on: Today at 06:43:47 AM »
temporarily out of service until  5th October 2018